#ifndef fortran_H
#define fortran_H

#include "common/fortint.h"

fortint chkout_();
fortint csect4_(fortfloat*,fortint*,fortint*,fortint*,fortint*,fortint*, fortint*,fortint*,fortint*);
fortint estima_();
fortint gasetup_(fortint* isec1, fortint* isec2,fortint* isec3, fortint* isec4, fortfloat* zsec3);
fortint gettru_();
fortint global_();
fortint iainit_(fortint*, fortint*);
fortint igglat_(fortint*,fortfloat*,fortint*,fortint*);
fortint intf_(const char*, fortint*, fortfloat*, const char*, fortint*, fortfloat*);
fortint intin_(const char*, fortint*, fortfloat*, const char*, fortint, fortint);
fortint intout_(const char*, fortint*, fortfloat*, const char*, fortint, fortint);
fortint intuvu_(fortfloat*, fortfloat*, fortint*, fortfloat*, fortfloat*, fortint*);
fortint intuvy_(fortfloat*, fortfloat*, fortint*, fortfloat*, fortfloat* , fortint*);
fortint intvecy_(fortfloat*, fortfloat*, fortint*, fortfloat*, fortfloat*, fortint*);
fortint outrep_();
fortint ref2grb_(fortfloat*,fortint*,fortint*,fortint*);
fortint setrep_(fortint*);

void clear_c_();
void gbyte_(void*,void*,fortint*,fortint*);
void grsmkp_(fortint*);
void inscal_(fortfloat*,fortint*,fortint*,fortfloat*,fortfloat*,fortint*);
void inxbit_(fortint*,fortint*,fortint*,fortint*,fortint*,fortint*,fortint*, char*,fortint*,long);
void jgetgg_(fortint*,unsigned char*,fortfloat*,fortint*,fortint*,long);
void jmakgg_(fortint*, fortint*, fortint*, fortfloat*, fortfloat*, fortint*);
void jmakll_(fortint*, fortint*, fortfloat*, fortfloat*, fortfloat*, fortint*);

#endif
